IFS COM Access Provider

Overview Diagram

Error (Class Module)

Sequence (Class Module)

RecordAttribute (Class Module)

RecordAttributeCollection (Class Module)

Record (Class Module)

RecordCollection (Class Module)

Trace (Class Module)

ContextParameter (Class Module)

ContextParameterCollection (Class Module)

Statistics (Class Module)

ManualDecision (Class Module)

MessageBox (Class Module)

Button (Class Module)

ButtonCollection (Class Module)

AttributeString (Class Module)

RequestContext (Class Module)

Credentials (Class Module)

LogGenerator (Class Module)

Server (Class Module)

IPlsqlCommand (Class Module)

PlsqlBaseMethodCommand (Class Module)

PlsqlCommand (Class Module)

PlsqlCommandCollection (Class Module)

PlsqlSelectCommand (Class Module)

InvalidValue (Class Module)

AuthenticationInfo (Class Module)

SimpleQueryCondition (Class Module)

CompoundQueryCondition (Class Module)

DetailQueryCondition (Class Module)

IQueryCondition (Class Module)

QueryConditionFactory (Class Module)

ColumnOperand (Class Module)

NvlFunction (Class Module)


AttributeString object

IFSAP.AttributeString

AttributeString is a helper class for formatting and parsing attribute strings


Attr property

Gets or sets a attribute value

Property type

A String value.

Syntax

object.Attr [= value]

The Attr property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type AttributeString.
value | A String value.


Add method (AttributeString)

Adds a new attribute in the attribute string

Syntax

object.Add Name, Value

The Add method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type AttributeString.
Name | Required. A String value. The name of the attribute
Value | Required. A String value. The value of the attribute


Clear method

Clears the attribute string

Syntax

object.Clear

The Clear method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type AttributeString.


GetNext method

Gets the next value in the attribute string

Return Type

A Boolean value. True if an attribute was returned; otherwise False

Syntax

object.GetNext (iPtr, ItemName, Value)

The GetNext method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type AttributeString.
iPtr | Required. An Integer value. The position in the attribute string
ItemName | Required. A String value. The name of the attribute
Value | Required. A String value. The value of the attribute


PutToRecord method

Writes all attribute values into a record (Attributes that doesn't exist in the record are added)

Syntax

object.PutToRecord ToRec

The PutToRecord method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type AttributeString.
ToRec | Required. A Record object. The destination record


SetFromRecord method

Creates an attribute string from a record

Syntax

object.SetFromRecord FromRec[, DirtyOnly]

The SetFromRecord method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type AttributeString.
FromRec | Required. A Record object. The source record
DirtyOnly | Optional. A Boolean value. Only dirty attributes


SetItemValue method

Sets the value of an attribute in the attribute string

Syntax

object.SetItemValue ItemName, Value

The SetItemValue method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type AttributeString.
ItemName | Required. A String value. The name of the attribute
Value | Required. A String value. The new value


AuthenticationInfo object

IFSAP.AuthenticationInfo

Authentication info for a manual decision of type reauthentication


LoginIdentification property

Gets the login identification

Property type

A String value.

Syntax

object.LoginIdentification

The LoginIdentification property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type AuthenticationInfo.


LoginPassword property

Gets or sets the login password

Property type

A String value.

Syntax

object.LoginPassword [= value]

The LoginPassword property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type AuthenticationInfo.
value | A String value.


Button object

IFSAP.Button

A button in a manual decision question


Answer property (Button)

Gets or sets the answer for this button

Property type

A ManualDecisionAnswer value.

Syntax

[Set] object.Answer [= ManualDecisionAnswer]

The Answer property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Button.
ManualDecisionAnswer | A ManualDecisionAnswer value.


Caption property (Button)

Gets or sets the caption for this button

Property type

A String value.

Syntax

object.Caption [= value]

The Caption property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Button.
value | A String value.


ColumnOperand object

IFSAP.ColumnOperand

Represents a column operand on right hand side in a simple query condition. Instantiate with CreateColumnOperand.


Column property

Property type

A String value.

Syntax

object.Column

The Column property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ColumnOperand.


CompoundQueryCondition object

IFSAP.CompoundQueryCondition

Represents an AND or OR condition. Instantiate with IQueryCondition.AndCondition or IQueryCondition.OrCondition


CompoundConditionCategory enumeration

Type of compound condition

Members

Constant | Description
cccAnd | AND condition
cccOr | OR condition


ContextParameter object

IFSAP.ContextParameter

A context parameter sent in server invokes


Key property (ContextParameter)

Gets or sets the key of this parameter

Property type

A String value.

Syntax

object.Key [= value]

The Key property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ContextParameter.
value | A String value.


Value property (ContextParameter)

Gets or sets the parameter value

Property type

A String value.

Syntax

object.Value [= value]

The Value property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ContextParameter.
value | A String value.


Credentials object

IFSAP.Credentials

Credentials sent in server invokes


SetPrincipal method

Sets principals on this object

Syntax

object.SetPrincipal Identification, IdentificationType

The SetPrincipal method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Credentials.
Identification | Required. A String value. The identification
IdentificationType | Required. A String value. The identification type


SetSharedSecret method

Sets a shared secret authentication

Syntax

object.SetSharedSecret Secret

The SetSharedSecret method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Credentials.
Secret | Required. A String value. The secret


DetailQueryCondition object

IFSAP.DetailQueryCondition

Represents a condition on a detail attribute. Instantiate with CreateDetailCondition.


DetailConditionCategory enumeration

Type of detail condition

Members

Constant | Description
dccExistsIn | Exists in
dccNotExistsIn | Not exists in


Error object

IFSAP.Error

Helper class for formatting, raising and displaying errors


ErrMsg property

Gets the error message

Property type

A String value.

Syntax

object.ErrMsg

The ErrMsg property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Error.


ErrName property

Gets the error name

Property type

A String value.

Syntax

object.ErrName

The ErrName property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Error.


ErrType property

Gets the error type

Property type

An ErrorTypes value.

Syntax

object.ErrType

The ErrType property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Error.


HasError property

Returns a value indicating if this object contains an error

Property type

A Boolean value.

Syntax

object.HasError

The HasError property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Error.


Text property

Gets or sets the unformatted error text

Property type

A String value.

Syntax

object.Text [= value]

The Text property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Error.
value | A String value.


Add method (Error)

Adds an error message to this object

Syntax

object.Add ErrType, msg, Location[, Name]

The Add method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Error.
ErrType | Required. An ErrorTypes value, as described in settings. Type of error
msg | Required. A String value. Error message
Location | Required. A String value. Location of executing code
Name | Optional. A String value. Name of the error

Settings

The settings for ErrType are:

Constant | Description
errtApplication | Application error
errtSecurity | Security error
errtException | General error
errtUnknown | Unknown error
errtValidation | Validation error


Raise method

Raises an error with the current state

Syntax

object.Raise [Location]

The Raise method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Error.
Location | Optional. A String value. Location of the executing code


ShowMsgBox method

Shows a message box with this error formatted

Return Type

A Long value. Message box result

Syntax

object.ShowMsgBox ([Buttons[, Title]])

The ShowMsgBox method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Error.
Buttons | Optional. A Long value. Message box buttons
Title | Optional. A String value. Message box title


ErrorTypes enumeration

Type of error

Members

Constant | Description
errtApplication | Application error
errtSecurity | Security error
errtException | General error
errtUnknown | Unknown error
errtValidation | Validation error


InvalidValue object

IFSAP.InvalidValue

An attribute value containing an invalid object


ErrorText property

Gets the error text

Property type

A String value.

Syntax

object.ErrorText

The ErrorText property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type InvalidValue.


Value property (InvalidValue)

Gets the value

Property type

A Variant value.

Syntax

object.Value

The Value property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type InvalidValue.


IPlsqlCommand object

IFSAP.IPlsqlCommand

A marker interface to be able to keep PlsqlCommand, PlsqlSelectCommand and PlsqlBaseMethodCommand objects in one PslqlCommandCollection object.


IQueryCondition object

IFSAP.IQueryCondition

Interface implemented by SimpleQueryCondition, CompoundQueryCondition and DetailQueryCondition


ConditionCategory property

Returns a value indicating condition category

Property type

A QueryConditionCategory value.

Syntax

object.ConditionCategory

The ConditionCategory property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type IQueryCondition.


AndCondition method

Creates an AND CompoundQueryCondition based on this condition and the condition specified as argument

Return Type

A CompoundQueryCondition object. The newly created AND-CompundQueryCondition

Syntax

object.AndCondition (oCondition)

The AndCondition method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type IQueryCondition.
oCondition | Required. An IQueryCondition object. The right hand side of the AND condition


OrCondition method

Creates an OR CompoundQueryCondition based on this condition and the condition specified as argument

Return Type

A CompoundQueryCondition object. The newly created OR-CompundQueryCondition

Syntax

object.OrCondition (oCondition)

The OrCondition method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type IQueryCondition.
oCondition | Required. An IQueryCondition object. The right hand side of the OR condition


QueryConditionCategory enumeration

Condition category

Members

Constant | Description
qccSimple | SimpleQueryCondition
qccCompound | CompoundQueryCondition
qccDetail | DetailQueryCondition


LogGenerator object

IFSAP.LogGenerator

Generates log files for all server interaction


BufferEncoding property

Gets or sets buffer encoding

Property type

A BufferEncoding value.

Syntax

[Set] object.BufferEncoding [= BufferEncoding]

The BufferEncoding property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type LogGenerator.
BufferEncoding | A BufferEncoding value.


Enabled property (LogGenerator)

Gets or sets a value indicating if logging is enabled

Property type

A Boolean value.

Syntax

object.Enabled [= value]

The Enabled property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type LogGenerator.
value | A Boolean value.


EndDelimiter property

Gets or sets end delimiter

Property type

A String value.

Syntax

object.EndDelimiter [= value]

The EndDelimiter property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type LogGenerator.
value | A String value.


LogFilename property

Gets or sets name of the log file

Property type

A String value.

Syntax

object.LogFilename [= value]

The LogFilename property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type LogGenerator.
value | A String value.


StartDelimiter property

Gets or sets start delimiter

Property type

A String value.

Syntax

object.StartDelimiter [= value]

The StartDelimiter property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type LogGenerator.
value | A String value.


Template property

Gets or sets template pattern.

Property type

A String value.

Syntax

object.Template [= value]

The Template property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type LogGenerator.
value | A String value.


UseCustomTemplate property

Gets or sets a value indicating if custom template is used

Property type

A Boolean value.

Syntax

object.UseCustomTemplate [= value]

The UseCustomTemplate property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type LogGenerator.
value | A Boolean value.


ShowOptionsDialog method

Shows a dialog box where the user can set the options for this class
After the dialog has closed, the options for this class are updated

Syntax

object.ShowOptionsDialog

The ShowOptionsDialog method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type LogGenerator.


BufferEncoding enumeration

Enumeration constants for buffer encoding formats

Members

Constant | Description
beRaw | No encoding of the string, it will be output 'as-is' to the file.
beVUStyle | Encodes the string for use in VU-script. ASCII < 32 && >126 = \<3-letter octal code>, \ = \\
beHex | Hex encoded string
beBase64 | Base64 encoded string


ManualDecision object

IFSAP.ManualDecision

A manual decision is a server initiated question from the server


Answer property (ManualDecision)

Gets or sets the answer for this decision

Property type

A ManualDecisionAnswer value.

Syntax

[Set] object.Answer [= ManualDecisionAnswer]

The Answer property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ManualDecision.
ManualDecisionAnswer | A ManualDecisionAnswer value.


AuthenticationInfo property

Gets the authentication info used for reauthentication

Property type

An AuthenticationInfo object.

Syntax

object.AuthenticationInfo

The AuthenticationInfo property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ManualDecision.


CancelAnswer property

Gets the answer returned when cancel is pressed

Property type

A ManualDecisionAnswer value.

Syntax

object.CancelAnswer

The CancelAnswer property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ManualDecision.


DecisionID property

Gets the decision ID

Property type

A String value.

Syntax

object.DecisionID

The DecisionID property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ManualDecision.


DecisionKey property

Gets the decision key

Property type

A String value.

Syntax

object.DecisionKey

The DecisionKey property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ManualDecision.


DefaultAnswer property

Gets the default answer

Property type

A ManualDecisionAnswer value.

Syntax

object.DefaultAnswer

The DefaultAnswer property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ManualDecision.


Key property (ManualDecision)

Gets the key for this manual decision

Property type

A String value.

Syntax

object.Key

The Key property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ManualDecision.


Message property

Gets the message

Property type

A String value.

Syntax

object.Message

The Message property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ManualDecision.


QuestionType property

Gets the question type

Property type

A ManualDecisionQuestionType value.

Syntax

object.QuestionType

The QuestionType property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ManualDecision.


ManualDecisionAnswer enumeration

Manual decision answer

Members

Constant | Description
mdaYes | Yes
mdaNo | No
mdaYesToAll | Yes to all
mdaNoToAll | No to all
mdaContinue | Continue
mdaNoAnswer | No answer
mdaCancel | Cancel
mdaReauthenticate | Reauthenticate answer


ManualDecisionQuestionType enumeration

Manual decision question type

Members

Constant | Description
mdqtYes_No | Yes, No question
mdqtYes_No_YesToAll | Yes, No, Yes to all question
mdqtYes_No_NoToAll | Yes, No, No to all question
mdqtContinue | Continue question
mdqtReauthenticate | Reauthenticate request


MessageBox object

IFSAP.MessageBox

Represents a messagebox question for a manual decision


Caption property (MessageBox)

Gets or sets the caption

Property type

A String value.

Syntax

object.Caption [= value]

The Caption property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type MessageBox.
value | A String value.


Prompt property

Gets or sets the prompt

Property type

A String value.

Syntax

object.Prompt [= value]

The Prompt property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type MessageBox.
value | A String value.


Show method (MessageBox)

Shows the message box

Return Type

A ManualDecisionAnswer value. The answer

Syntax

object.Show

The Show method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type MessageBox.


Buttons collection

Gets the collection of buttons

Collection type

A ButtonCollection collection.

Syntax

object.Buttons

The Buttons property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type MessageBox.


NvlFunction object

IFSAP.NvlFunction

Represents a NVL function in a query condition. Instantiate with CreateNvl.


PlsqlBaseMethodCommand object

IFSAP.PlsqlBaseMethodCommand

Performs base LU method calls such as New, Modify, Remove


BindVariables property (PlsqlBaseMethodCommand)

Gets the collection of bind variables used for invokation

Property type

A Record object.

Syntax

object.BindVariables

The BindVariables property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type PlsqlBaseMethodCommand.


CommandText property (PlsqlBaseMethodCommand)

Gets or sets the command text

Property type

A String value.

Syntax

object.CommandText [= value]

The CommandText property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type PlsqlBaseMethodCommand.
value | A String value.


Server property (PlsqlBaseMethodCommand)

Gets or sets the server object to use for invocation

Property type

A Server object.

Syntax

[Set] object.Server [= Server]

The Server property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type PlsqlBaseMethodCommand.
Server | A Server object.


Execute method (PlsqlBaseMethodCommand)

Executes the command

Syntax

object.Execute

The Execute method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type PlsqlBaseMethodCommand.


Initialize method

Initializes the base method command.

Syntax

object.Initialize Srv, MethodType, PackageName, Rec, Action[, MethodName]

The Initialize method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type PlsqlBaseMethodCommand.
Srv | Required. A Server object. The Server oject to use if not run as part of a PlsqlCommandCollection
MethodType | Required. A BaseMethodType value, as described in settings. The method type, any of BaseMethodType enum values
PackageName | Required. A String value. The name of the PL/SQL package in which to execute the method
Rec | Required. A Record object. A Record with the data for the method (usually ends up in ATTR_ string)
Action | Required. A BaseMethodAction value, as described in settings. The action to do, any of the BaseMethodAction enum values
MethodName | Optional. A String value. The name of the action to call if it's not of standard name [optional]

Settings

The settings for MethodType are:

Constant | Description
bmtNew | Creates a new row
bmtModify | Modifies a row
bmtRemove | Removes a row

The settings for Action are:

Constant | Description
bmaCheck | A check call (checks if remove or modify is allowed)
bmaDo | Performs the required action
bmaPrepare | Prepare a new row with default values (doesn't save in database)


BaseMethodAction enumeration

The base method action

Members

Constant | Description
bmaCheck | A check call (checks if remove or modify is allowed)
bmaDo | Performs the required action
bmaPrepare | Prepare a new row with default values (doesn't save in database)


BaseMethodType enumeration

The type of base method

Members

Constant | Description
bmtNew | Creates a new row
bmtModify | Modifies a row
bmtRemove | Removes a row


PlsqlCommand object

IFSAP.PlsqlCommand

Represents a method call to a PL/SQL method


BindVariables property (PlsqlCommand)

Gets the collection of bind variables used for invokation

Property type

A Record object.

Syntax

object.BindVariables

The BindVariables property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type PlsqlCommand.


CommandText property (PlsqlCommand)

Gets or sets the command text

Property type

A String value.

Syntax

object.CommandText [= value]

The CommandText property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type PlsqlCommand.
value | A String value.


Server property (PlsqlCommand)

Gets or sets the server object to use for invocation

Property type

A Server object.

Syntax

[Set] object.Server [= Server]

The Server property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type PlsqlCommand.
Server | A Server object.


Execute method (PlsqlCommand)

Executes the command

Syntax

object.Execute

The Execute method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type PlsqlCommand.


PlsqlSelectCommand object

IFSAP.PlsqlSelectCommand

Performs a select statement


BindVariables property (PlsqlSelectCommand)

Gets the collection of bind variables used for invokation

Property type

A Record object.

Syntax

object.BindVariables

The BindVariables property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type PlsqlSelectCommand.


CommandText property (PlsqlSelectCommand)

Gets or sets the command text

Property type

A String value.

Syntax

object.CommandText [= value]

The CommandText property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type PlsqlSelectCommand.
value | A String value.


MaxRows property

Gets or sets the max no of rows to fetch

Property type

A Long value.

Syntax

object.MaxRows [= value]

The MaxRows property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type PlsqlSelectCommand.
value | A Long value.


Server property (PlsqlSelectCommand)

Gets or sets the server object to use for invocation

Property type

A Server object.

Syntax

[Set] object.Server [= Server]

The Server property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type PlsqlSelectCommand.
Server | A Server object.


SkipRows property

Gets or sets the number of rows to skip before start fetching

Property type

A Long value.

Syntax

object.SkipRows [= value]

The SkipRows property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type PlsqlSelectCommand.
value | A Long value.


Execute method (PlsqlSelectCommand)

Executes the command

Syntax

object.Execute

The Execute method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type PlsqlSelectCommand.


ExecuteQuery method

Executes the command and returns the query result

Return Type

A RecordCollection collection. A RecordCollection with the result

Syntax

object.ExecuteQuery

The ExecuteQuery method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type PlsqlSelectCommand.


Result collection

Gets the query result

Collection type

A RecordCollection collection.

Syntax

object.Result

The Result property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type PlsqlSelectCommand.


QueryConditionFactory object

IFSAP.QueryConditionFactory

Provides functions for creating query conditions


CreateBetweenCondition method

Creates a BETWEEN condition

Return Type

An IQueryCondition object. The newly created SimpleQueryCondition

Syntax

object.CreateBetweenCondition (vColumn, dtType, vLeft, vRight)

The CreateBetweenCondition method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type QueryConditionFactory.
vColumn | Required. A Variant value. The left hand side of the condition, the column name as String or a NvlFunction
dtType | Required. A RecordAttributeDataType value, as described in settings. Data type for the column
vLeft | Required. A Variant value. Left boundary
vRight | Required. A Variant value. Right boundary

Settings

The settings for dtType are:

Constant | Description
dtBoolean | Boolean value
dtInteger | Long value
dtDecimal | Decimal value
dtFloat | Single
dtDate | Date without time precision
dtTime | Date with only time precision
dtTimeStamp | Date with both date and time precision
dtAlpha | Non-unicode string
dtText | Unicode enabled string
dtBinary | Byte() value
dtEnumeration | String value with a fixed number of allowed values
dtAggregate | Record value
dtArray | RecordCollection value
dtPicture | StdPicture value


CreateColumnOperand method

Creates a ColumnOperand in a query condition, can be used in simple conditions

Return Type

A ColumnOperand object. The newly created ColumnOperand

Syntax

object.CreateColumnOperand (sColumn)

The CreateColumnOperand method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type QueryConditionFactory.
sColumn | Required. A String value. The attribute name


CreateCondition method

Creates a simple condition

Return Type

An IQueryCondition object. The newly created SimpleQueryCondition

Syntax

object.CreateCondition (vColumn, dtType, qcoOperator, vValue)

The CreateCondition method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type QueryConditionFactory.
vColumn | Required. A Variant value. The left hand side of the condition, the column name as String or a NvlFunction
dtType | Required. A RecordAttributeDataType value, as described in settings. Data type for the column
qcoOperator | Required. A QueryConditionOperator value, as described in settings. Condition operator
vValue | Required. A Variant value. The right hand side of the condition. For qcoValueIn and qcoValueNotIn this argument shoule be a Variant array.

Settings

The settings for dtType are:

Constant | Description
dtBoolean | Boolean value
dtInteger | Long value
dtDecimal | Decimal value
dtFloat | Single
dtDate | Date without time precision
dtTime | Date with only time precision
dtTimeStamp | Date with both date and time precision
dtAlpha | Non-unicode string
dtText | Unicode enabled string
dtBinary | Byte() value
dtEnumeration | String value with a fixed number of allowed values
dtAggregate | Record value
dtArray | RecordCollection value
dtPicture | StdPicture value

The settings for qcoOperator are:

Constant | Description
qcoEqual | =
qcoNotEqual | !=
qcoLessThan | <
qcoLessThanOrEqual | <=
qcoGreaterThan | >
qcoGreaterThanOrEqual | >=
qcoLike | LIKE
qcoNotLike | NOT LIKE
qcoBetween | BETWEEN
qcoValueIn | IN(,,)
qcoValueNotIn | NOT IN(,,)
qcoEqualIgnoreCase | Case insensitive =
qcoNotEqualIgnoreCase | Case insensitive !=
qcoLikeIgnoreCase | Case insensitive LIKE
qcoNotLikeIgnoreCase | Case insensitive NOT LIKE
qcoSoundex | SOUNDEX equality


CreateDetailCondition method

Creates a condition on a detail attribute

Return Type

An IQueryCondition object. The newly created DetailQueryCondition

Syntax

object.CreateDetailCondition (sDetailAttribute, dccCategory, oDetail)

The CreateDetailCondition method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type QueryConditionFactory.
sDetailAttribute | Required. A String value. The detail attribute name
dccCategory | Required. A DetailConditionCategory value, as described in settings. Detail query category
oDetail | Required. A Record object. The detail record, containing the condition for the detail

Settings

The settings for dccCategory are:

Constant | Description
dccExistsIn | Exists in
dccNotExistsIn | Not exists in


CreateNvl method

Creates an NVL function in a query condition

Return Type

A NvlFunction object. The newly created NvlFunction

Syntax

object.CreateNvl (sColumn, vReplaceWith)

The CreateNvl method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type QueryConditionFactory.
sColumn | Required. A String value. The attribute name
vReplaceWith | Required. A Variant value. Value to replace


Record object

IFSAP.Record

A record typically represents a row in a database table


Condition property

Gets or sets a query condition

Property type

An IQueryCondition object.

Syntax

[Set] object.Condition [= IQueryCondition]

The Condition property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Record.
IQueryCondition | An IQueryCondition object.


IsDirty property (Record)

Returns True if a record is in New, Removed, or Modified (any of the attributes have been modified) status

Property type

A Boolean value.

Syntax

object.IsDirty

The IsDirty property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Record.


List property (Record)

Returns a reader-friendly string representation of a record. Useful for debug prinouts etc.

Property type

A String value.

Syntax

object.List([Padding])

The List property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Record.
Padding | Optional. A String value. Padding to use


ObjKey property

Gets or sets the ObjKey. ObjKey is a client-side only key which is used for named indexing of RecordCollections

Property type

A String value.

Syntax

object.ObjKey [= value]

The ObjKey property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Record.
value | A String value.


RecordAction property

Gets or sets action for the record

Property type

A RecordAction value.

Syntax

[Set] object.RecordAction [= RecordAction]

The RecordAction property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Record.
RecordAction | A RecordAction value.


RecordType property

Gets or sets the record type

Property type

A String value.

Syntax

object.RecordType [= value]

The RecordType property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Record.
value | A String value.


RecordTypeFull property

Gets or sets the record type, including the record package prefix

Property type

A String value.

Syntax

object.RecordTypeFull

The RecordTypeFull property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Record.


Status property (Record)

Gets the record status

Property type

A RecordStatus value.

Syntax

object.Status

The Status property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Record.


Tag property (Record)

Gets or sets the tag. The tag is a general-purpose property availalable for use by applications.

Property type

A Variant value.

Syntax

object.Tag [= value]

The Tag property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Record.
value | A Variant value.


Add method (Record)

Adds an attribute. The value of the attribute may be of the types Variant (containing Long, Integer, Double, String, Boolean, or Date value), Record (aggregate attribute), RecordCollection (array attribute), RecordReference, or StdPicture

Return Type

A RecordAttribute object. The new attribute

Syntax

object.Add (Name[, Value[, DataType]])

The Add method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Record.
Name | Required. A String value. Name of the attribute
Value | Optional. A Variant value. Value of attribute
DataType | Optional. A RecordAttributeDataType value, as described in settings. Data type

Settings

The settings for DataType are:

Constant | Description
dtBoolean | Boolean value
dtInteger | Long value
dtDecimal | Decimal value
dtFloat | Single
dtDate | Date without time precision
dtTime | Date with only time precision
dtTimeStamp | Date with both date and time precision
dtAlpha | Non-unicode string
dtText | Unicode enabled string
dtBinary | Byte() value
dtEnumeration | String value with a fixed number of allowed values
dtAggregate | Record value
dtArray | RecordCollection value
dtPicture | StdPicture value


AddAggregate method

Creates a new record of the specified type and adds it as an aggregate attribute. Returns the new Record created.

Return Type

A Record object. The contained record

Syntax

object.AddAggregate (Name[, RecordType])

The AddAggregate method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Record.
Name | Required. A String value. Name of the attribute
RecordType | Optional. A String value. Record type


AddArray method

Creates a new RecordCollection and adds it as an array attribute. Returns the RecordCollection created.

Return Type

A RecordCollection collection. The new RecordCollection

Syntax

object.AddArray (Name)

The AddArray method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Record.
Name | Required. A String value. Name of the attribute


Clone method (Record)

Creates and returns a new Record which is a clone (identical copy) of the record cloned

Return Type

A Record object. The cloned record

Syntax

object.Clone

The Clone method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Record.


CopyFrom method (Record)

Discards all existing attributes and copies new attributes from another Record. CopyFrom also copies the other Records status

Syntax

object.CopyFrom oRec

The CopyFrom method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Record.
oRec | Required. A Record object. Source record


CreateLUStdOpBindVars method

Creates a bind variable record from this record to use as bind variables in a standard LU operation

Return Type

A Record object.

Syntax

object.CreateLUStdOpBindVars (Op)

The CreateLUStdOpBindVars method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Record.
Op | Required. A LUStdOp value, as described in settings. Operation type

Settings

The settings for Op are:

Constant | Description
luopNew | New operation
luopModify | Modify operation
luOpRemove | Remove operation


ExcludeQueryResult method (Record)

Marks all attributes as excluded from query result

Syntax

object.ExcludeQueryResult

The ExcludeQueryResult method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Record.


Format method

Takes the Mask string and replaces all attribute placeholders with the attributes value. An attibute placeholder is a colon followed by the attribute name.

Return Type

A String value. Formatted string

Syntax

object.Format (Mask)

The Format method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Record.
Mask | Required. A String value. on format "Name of customer :CUST_NO is :CUST_NAME"


HandleLuStdOpBindVars method

Reads all LU standard operation from oBindVars into this record

Syntax

object.HandleLuStdOpBindVars Op, oBindVars

The HandleLuStdOpBindVars method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Record.
Op | Required. A LUStdOp value, as described in settings. Operation type
oBindVars | Required. A Record object. The bindvariables to read from

Settings

The settings for Op are:

Constant | Description
luopNew | New operation
luopModify | Modify operation
luOpRemove | Remove operation


IncludeQueryResult method (Record)

Marks all attributes as included in the query result

Syntax

object.IncludeQueryResult [IncludeAs]

The IncludeQueryResult method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Record.
IncludeAs | Optional. A RecordAttributeStatus value, as described in settings. Type of query include

Settings

The settings for IncludeAs are:

Constant | Description
rasNone | No query status
rasQueryExclude | Exclude from query
rasQueryInclude | Include in query
rasQueryIncludeMin | Include as min in query
rasQueryIncludeMax | Include as max in query
rasQueryIncludeSum | Include as sum in query
rasQueryIncludeAvg | Include as avg in query
rasQueryIncludeCount | Include as count in query


LoadFromFile method

Creates the record and it's attributes from a serialized buffer representation of a record stored in a file

Syntax

object.LoadFromFile FileName

The LoadFromFile method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Record.
FileName | Required. A String value. Source file name


SaveToFile method

Saves a serialized buffer representation of the record to a file

Syntax

object.SaveToFile FileName

The SaveToFile method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Record.
FileName | Required. A String value. Destination file name


SetNew method

Sets the status of therecord and all records contained in aggregate and array attributes to srsNew

Syntax

object.SetNew

The SetNew method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Record.


SetQueried method

Sets the status of therecord and all records contained in aggregate and array attributes to srsQueries. Also clears the dirty-flag for all attributes.

Syntax

object.SetQueried

The SetQueried method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Record.


SetRemoved method

Sets the status of therecord and all records contained in aggregate and array attributes to srsRemoved

Syntax

object.SetRemoved

The SetRemoved method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Record.


Touch method

Force the record to end up in srsModified status, and thus become dirty

Syntax

object.Touch

The Touch method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Record.


Attributes collection

Gets or sets the collection of all attributes

Collection type

A RecordAttributeCollection collection.

Syntax

[Set] object.Attributes [= RecordAttributeCollection]

The Attributes property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Record.
RecordAttributeCollection | A RecordAttributeCollection collection.


LUStdOp enumeration

standard operations

Members

Constant | Description
luopNew | New operation
luopModify | Modify operation
luOpRemove | Remove operation


RecordAction enumeration

Record action

Members

Constant | Description
raNone | No action
raPrepare | Marked for prepare


RecordStatus enumeration

Status for a record

Members

Constant | Description
srsQueried | Unchanged since queried
srsNew | To be inserted
srsModified | Modified since queried
srsRemoved | Marked for deletion


RecordAttribute object

IFSAP.RecordAttribute

An attribute typically represents a column in a database row. Aggregates and arrays represents related rows.


BindVariableDirection property

Gets or sets the calling direction of a bind variable. This property should only be used when the attribute is used as a bind variable in a call to InvokePLSQL

Property type

A BindVariableDirection value.

Syntax

[Set] object.BindVariableDirection [= BindVariableDirection]

The BindVariableDirection property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordAttribute.
BindVariableDirection | A BindVariableDirection value.


Count property (RecordAttribute)

Gets count value from a compound query with rasQueryIncludeCount

Property type

A Long value.

Syntax

object.Count

The Count property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordAttribute.


DataType property

Gets or sets the data type of the value of the attribute

Property type

A RecordAttributeDataType value.

Syntax

[Set] object.DataType [= RecordAttributeDataType]

The DataType property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordAttribute.
RecordAttributeDataType | A RecordAttributeDataType value.


DataTypeMarker property

Gets the type marker used to represent the data type of the attributes value in buffers

Property type

A String value.

Syntax

object.DataTypeMarker

The DataTypeMarker property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordAttribute.


IsCompound property

Gets a value indicating if the attributes value is compound (an aggregate or array)

Property type

A Boolean value.

Syntax

object.IsCompound

The IsCompound property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordAttribute.


IsDirty property (RecordAttribute)

Gets a value indicating if the attribute is dirty

Property type

A Boolean value.

Syntax

object.IsDirty

The IsDirty property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordAttribute.


IsSimple property

Gets a value indicating if the attributes value is a simple data type.

Property type

A Boolean value.

Syntax

object.IsSimple

The IsSimple property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordAttribute.


NameOf property

Gets the attribute name

Property type

A String value.

Syntax

object.NameOf

The NameOf property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordAttribute.


SafeValue property

Returns Value, or if Value is null, returns Default

Property type

A Variant value.

Syntax

object.SafeValue(Default)

The SafeValue property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordAttribute.
Default | Required. A Variant value. Value to return if null


Status property (RecordAttribute)

Gets the query status flag

Property type

A RecordAttributeStatus value.

Syntax

object.Status

The Status property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordAttribute.


Value property (RecordAttribute)

Gets or sets the attributes value. Depending on the attribute type the value may be a Variant, Record object, RecordCollection object, or StdPicture object.

Property type

A Variant value.

Syntax

object.Value [= value]

The Value property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordAttribute.
value | A Variant value.


ValueAsPicture property

Returns Value as a StdPicture object. If Value is binary, a conversion to a StdPicture object will be attempted.

Property type

A StdPicture object.

Syntax

object.ValueAsPicture

The ValueAsPicture property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordAttribute.


ValueAsRecord property

Returns Value as a Record object. Throws exception if AttributeType is not srsAggregate

Property type

A Record object.

Syntax

object.ValueAsRecord

The ValueAsRecord property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordAttribute.


ValueNoDirty property (RecordAttribute)

Sets the attributes value without making the attribute dirty. Depending on the attribute type the value may be a Variant, Record object, RecordCollection object, or StdPicture object.

Property type

None (Write only)

Syntax

object.ValueNoDirty = value

The ValueNoDirty property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordAttribute.
value | A Variant value.


ClearDirty method

Marks this attribute as non-dirty

Syntax

object.ClearDirty

The ClearDirty method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordAttribute.


ConvertToPicture method

Converts a binary value (byte-array) to a picture (StdPicture object). Once converted, the binary data is lost

Syntax

object.ConvertToPicture

The ConvertToPicture method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordAttribute.


CopyFrom method (RecordAttribute)

Discards all attribute properties and copies new ones from another attribute

Syntax

object.CopyFrom Attr

The CopyFrom method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordAttribute.
Attr | Required. A RecordAttribute object. Source attribute


ExcludeQueryResult method (RecordAttribute)

Marks the attribute as excluded from the query result

Syntax

object.ExcludeQueryResult

The ExcludeQueryResult method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordAttribute.


GetTimeStampValue method

Gets a timestamp value converted to the specified timezone assuming the value is UTC.

Return Type

A Variant value. Converted timestamp

Syntax

object.GetTimeStampValue ([TimeZoneID])

The GetTimeStampValue method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordAttribute.
TimeZoneID | Optional. A String value. Target timezone


IncludeQueryResult method (RecordAttribute)

Marks the attribute as included in the query result

Syntax

object.IncludeQueryResult [IncludeAs]

The IncludeQueryResult method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordAttribute.
IncludeAs | Optional. A RecordAttributeStatus value, as described in settings. Type of query include

Settings

The settings for IncludeAs are:

Constant | Description
rasNone | No query status
rasQueryExclude | Exclude from query
rasQueryInclude | Include in query
rasQueryIncludeMin | Include as min in query
rasQueryIncludeMax | Include as max in query
rasQueryIncludeSum | Include as sum in query
rasQueryIncludeAvg | Include as avg in query
rasQueryIncludeCount | Include as count in query


List method (RecordAttribute)

Returns a reader-friendly string representation of an attribute

Return Type

A String value. Reader-friendly string representation of an attribute

Syntax

object.List ([Padding])

The List method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordAttribute.
Padding | Optional. A String value. Padding to use


MakeDirty method

Marks this attribute as dirty

Syntax

object.MakeDirty

The MakeDirty method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordAttribute.


SetTimeStampValue method

Sets a timestamp value converted to UTC from the specified timezone.

Return Type

A Variant value. NewValue converted to UTC

Syntax

object.SetTimeStampValue (NewValue[, TimeZoneID])

The SetTimeStampValue method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordAttribute.
NewValue | Required. A Variant value. Date value in specified timezone
TimeZoneID | Optional. A String value. Timezone for NewValue


ValueAsArray collection

Returns the Value as a RecordCollection object. Throws exception if AttributeType is not srsArray

Collection type

A RecordCollection collection.

Syntax

object.ValueAsArray

The ValueAsArray property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordAttribute.


BindVariableDirection enumeration

Bind variable direction

Members

Constant | Description
bvdIn | In
bvdOut | Out
bvdInOut | In Out


RecordAttributeDataType enumeration

Attribute data types

Members

Constant | Description
dtBoolean | Boolean value
dtInteger | Long value
dtDecimal | Decimal value
dtFloat | Single
dtDate | Date without time precision
dtTime | Date with only time precision
dtTimeStamp | Date with both date and time precision
dtAlpha | Non-unicode string
dtText | Unicode enabled string
dtBinary | Byte() value
dtEnumeration | String value with a fixed number of allowed values
dtAggregate | Record value
dtArray | RecordCollection value
dtPicture | StdPicture value


RecordAttributeStatus enumeration

Attribute query status

Members

Constant | Description
rasNone | No query status
rasQueryExclude | Exclude from query
rasQueryInclude | Include in query
rasQueryIncludeMin | Include as min in query
rasQueryIncludeMax | Include as max in query
rasQueryIncludeSum | Include as sum in query
rasQueryIncludeAvg | Include as avg in query
rasQueryIncludeCount | Include as count in query


RequestContext object

IFSAP.RequestContext

Container for context parameters for server invocation


ContextParameters collection (RequestContext)

Gets parameters sent in context on server invocations

Collection type

A ContextParameterCollection collection.

Syntax

object.ContextParameters

The ContextParameters property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RequestContext.


Sequence object

IFSAP.Sequence

Used to generate number series


CurrVal property

Sets current value for sequence

Property type

None (Write only)

Syntax

object.CurrVal = value

The CurrVal property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Sequence.
value | A Long value.


NextVal property

Gets next value from the sequence

Property type

A Long value.

Syntax

object.NextVal

The NextVal property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Sequence.


Server object

IFSAP.Server

Provides functionality for server invocations


AutoLogon property

Gets or sets a value indicating if Windows logon credentials should be used for server invocations

Property type

A Boolean value.

Syntax

object.AutoLogon [= value]

The AutoLogon property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Server.
value | A Boolean value.


CatchExceptions property

Gets or sets a value indicating whether the Server object should catch execptions that occur during invoke. If CatchExceptions is set to False then any exception will be passed on to the caller

Property type

A Boolean value.

Syntax

object.CatchExceptions [= value]

The CatchExceptions property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Server.
value | A Boolean value.


ConnectionString property

Gets or sets the connect string used for server invocations.
Connect strings can be of format myserver:port which uses http as default protocol.
It is also possible to specify https://myserver:port.

Property type

A String value.

Syntax

object.ConnectionString [= value]

The ConnectionString property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Server.
value | A String value.


CurrentApplicationUser property

Gets the identity of the current application user (as authenticated by the server)

Property type

A String value.

Syntax

object.CurrentApplicationUser

The CurrentApplicationUser property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Server.


DefaultRequestContext property

Gets or sets default request context used for invocations

Property type

A RequestContext object.

Syntax

[Set] object.DefaultRequestContext [= RequestContext]

The DefaultRequestContext property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Server.
RequestContext | A RequestContext object.


IdleTime property

Gets or sets the timeout in milliseconds between invokes to use before server is disconnected

Property type

A Long value.

Syntax

object.IdleTime [= value]

The IdleTime property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Server.
value | A Long value.


InteractiveMode property

Gets or sets a value indicating if the access provider should work in interactive mode. When in interactive mode message boxes requirering user action may be shown.

Property type

A Boolean value.

Syntax

object.InteractiveMode [= value]

The InteractiveMode property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Server.
value | A Boolean value.


LastFeedback property

Gets an array of all server feedback messages from the last Invoke

Property type

An array of String values.

Syntax

object.LastFeedback

The LastFeedback property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Server.


Locale property

Gets or sets the client locale

Property type

A String value.

Syntax

object.Locale [= value]

The Locale property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Server.
value | A String value.


Log property

Gets the LogGenerator object used for server interaction logging

Property type

A LogGenerator object.

Syntax

object.Log

The Log property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Server.


RetryStrategy property

Gets or sets the retry strategy which determines what should happen if an Invoke failes.

Property type

A ServerRetryStrategy value.

Syntax

[Set] object.RetryStrategy [= ServerRetryStrategy]

The RetryStrategy property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Server.
ServerRetryStrategy | A ServerRetryStrategy value.


Statistics property

Gets a statistics object that has information about invocation statistics

Property type

A Statistics object.

Syntax

object.Statistics

The Statistics property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Server.


Trace property

Gets the Trace object which is used to enable and retrieve server-side trace printouts.

Property type

A Trace object.

Syntax

object.Trace

The Trace property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Server.


TrustedMode property

Gets or sets a value indicating if trusted mode is used. Trusted mode uses a Credentials object with a shared secret rather than Identification + Password.

Property type

A Boolean value.

Syntax

object.TrustedMode [= value]

The TrustedMode property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Server.
value | A Boolean value.


Disconnect method

Disconnects from the server, freeing all server-side objects and resources.

Syntax

object.Disconnect

The Disconnect method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Server.


Invoke method

Invokes server method with InOutView signature (RequestBody is both sent to the server and recieves the result from the server)

Return Type

A Boolean value. True if successful; otherwise False. If CatchExceptions property is set to False this method will throw Exception on failure.

Syntax

object.Invoke (Interface, Method, RequestBody[, RequestBodyType[, RequestContext]])

The Invoke method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Server.
Interface | Required. A String value. Interface to call
Method | Required. A String value. Method to call
RequestBody | Required. A Variant value. Request body, typically a Record object
RequestBodyType | Optional. A ServerInvokeBodyType value, as described in settings. Type of request body
RequestContext | Optional. A RequestContext object. Request context

Settings

The settings for RequestBodyType are:

Constant | Description
sibtUnknown | Unknown body type (detected by this object)
sibtRecord | IFSAP.Record object
sibtBuffer | IFSAPBuffer.Buffer object
sibtBufferBytes | Byte()
sibtXMLString | XML String
sibtEmpty | No body for void input or output


Invoke2 method

Invokes server method with any signature

Return Type

A Boolean value. True if successful; otherwise False. If CatchExceptions property is set to False this method will throw Exception on failure.

Syntax

object.Invoke2 (Interface, Method, RequestBody, ResponseBody[, RequestBodyType[, ResponseBodyType[, RequestContext]]])

The Invoke2 method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Server.
Interface | Required. A String value. Interface to call
Method | Required. A String value. Method to call
RequestBody | Required. A Variant value. Request body, typically a Record or RecordCollection object
ResponseBody | Required. A Variant value. Response body, typically a Record or RecordCollection object
RequestBodyType | Optional. A ServerInvokeBodyType value, as described in settings. Type of request body
ResponseBodyType | Optional. A ServerInvokeBodyType value, as described in settings. Type of response body
RequestContext | Optional. A RequestContext object. Request context

Settings

The settings for RequestBodyType are:

Constant | Description
sibtUnknown | Unknown body type (detected by this object)
sibtRecord | IFSAP.Record object
sibtBuffer | IFSAPBuffer.Buffer object
sibtBufferBytes | Byte()
sibtXMLString | XML String
sibtEmpty | No body for void input or output

The settings for ResponseBodyType are:

Constant | Description
sibtUnknown | Unknown body type (detected by this object)
sibtRecord | IFSAP.Record object
sibtBuffer | IFSAPBuffer.Buffer object
sibtBufferBytes | Byte()
sibtXMLString | XML String
sibtEmpty | No body for void input or output


InvokePLSQL method

Invoke the server and execute a SELECT statement
See also PlsqlSelectCommand

Return Type

A Variant value.

Syntax

object.InvokePLSQL (Stmt[, BindVariables[, ResultSet[, BodyType[, MaxRows[, SkipRows]]]]])

The InvokePLSQL method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Server.
Stmt | Required. A String value. Statement to execute
BindVariables | Optional. A Variant value. Bind variables
ResultSet | Optional. A Variant value. Result set for SELECT statements
BodyType | Optional. A ServerInvokeBodyType value, as described in settings. Type of body
MaxRows | Optional. A Long value. Max no of rows to fetch for SELECT statements
SkipRows | Optional. A Long value. Rows to skip before start fetching for SELECT statements

Settings

The settings for BodyType are:

Constant | Description
sibtUnknown | Unknown body type (detected by this object)
sibtRecord | IFSAP.Record object
sibtBuffer | IFSAPBuffer.Buffer object
sibtBufferBytes | Byte()
sibtXMLString | XML String
sibtEmpty | No body for void input or output


SetCredentials method

Sets the credentials used for server authentication

Syntax

object.SetCredentials Identification, Password

The SetCredentials method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Server.
Identification | Required. A String value. Identification
Password | Required. A String value. Password


SetTrustedCredentials method

Sets trusted credentials used for server authentication

Syntax

object.SetTrustedCredentials Credentials

The SetTrustedCredentials method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Server.
Credentials | Required. A Credentials object. A Credentials object containing a shared secret


ContextParameters collection (Server)

Parameters sent in context on server invocations

Collection type

A ContextParameterCollection collection.

Syntax

object.ContextParameters

The ContextParameters property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Server.


FeedbackMessage event

Event raised when a feedback message should be shown. If no event subscriber cancels, the Server object shows appropriate UI

Syntax

Sub object_FeedbackMessage(Message, Cancel)

The FeedbackMessage event syntax has these parts:

Part | Description
object | A Server object.
Message | A String value. Message to show
Cancel | A Boolean value. Set to True to prevent Server object to show UI


RequestCredentials event

Event raised when credentials are needed. If no event subscriber cancels, the Server object shows appropriate UI

Syntax

Sub object_RequestCredentials(Identification, Password, Cancel)

The RequestCredentials event syntax has these parts:

Part | Description
object | A Server object.
Identification | A String value. Identification that can be set from event subscriber
Password | A String value. Password that can be set from event subscriber
Cancel | A Boolean value. Set to True to prevent Server object to show UI


RequestManualDecision event

Event raised when a manual decision is raised. If no event subscriber answers, the Server object shows appropriate UI

Syntax

Sub object_RequestManualDecision(Decision)

The RequestManualDecision event syntax has these parts:

Part | Description
object | A Server object.
Decision | A ManualDecision object. ManualDecision to be answered


ServerInvokeBodyType enumeration

Invoke body types

Members

Constant | Description
sibtUnknown | Unknown body type (detected by this object)
sibtRecord | IFSAP.Record object
sibtBuffer | IFSAPBuffer.Buffer object
sibtBufferBytes | Byte()
sibtXMLString | XML String
sibtEmpty | No body for void input or output


ServerRetryStrategy enumeration

Strategies to use when an invokation fails

Members

Constant | Description
srsNoRetry | No retry
srsAutoRetry | Auto retry
srsAskUser | Ask user


SimpleQueryCondition object

IFSAP.SimpleQueryCondition

Simple Query Condition. Instantiate with CreateCondition.


QueryConditionOperator enumeration

Condition operator

Members

Constant | Description
qcoEqual | =
qcoNotEqual | !=
qcoLessThan | <
qcoLessThanOrEqual | <=
qcoGreaterThan | >
qcoGreaterThanOrEqual | >=
qcoLike | LIKE
qcoNotLike | NOT LIKE
qcoBetween | BETWEEN
qcoValueIn | IN(,,)
qcoValueNotIn | NOT IN(,,)
qcoEqualIgnoreCase | Case insensitive =
qcoNotEqualIgnoreCase | Case insensitive !=
qcoLikeIgnoreCase | Case insensitive LIKE
qcoNotLikeIgnoreCase | Case insensitive NOT LIKE
qcoSoundex | SOUNDEX equality


Statistics object

IFSAP.Statistics

Server invoke statistics accessible from Server.Statistics


BytesReceived property

Gets total number of bytes recieved

Property type

A Long value.

Syntax

object.BytesReceived

The BytesReceived property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Statistics.


BytesSent property

Gets total number of bytes sent

Property type

A Long value.

Syntax

object.BytesSent

The BytesSent property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Statistics.


InvokeCount property

Gets total number of invokes

Property type

A Long value.

Syntax

object.InvokeCount

The InvokeCount property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Statistics.


LastInvokeBufParseTime property

Gets last invoke buffer parse time

Property type

A Long value.

Syntax

object.LastInvokeBufParseTime

The LastInvokeBufParseTime property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Statistics.


LastInvokeBytesReceived property

Gets number of bytes revieved in last invoke

Property type

A Long value.

Syntax

object.LastInvokeBytesReceived

The LastInvokeBytesReceived property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Statistics.


LastInvokeBytesSent property

Gets number of bytes sent in last invoke

Property type

A Long value.

Syntax

object.LastInvokeBytesSent

The LastInvokeBytesSent property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Statistics.


LastInvokeDbExecuteCount property

Gets number of database executes in last invoke

Property type

A Long value.

Syntax

object.LastInvokeDbExecuteCount

The LastInvokeDbExecuteCount property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Statistics.


LastInvokeDbFetchCount property

Gets number of database fetchs in last invoke

Property type

A Long value.

Syntax

object.LastInvokeDbFetchCount

The LastInvokeDbFetchCount property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Statistics.


LastInvokeExternalCallCount property

Gets number of external calls in last invoke

Property type

A Long value.

Syntax

object.LastInvokeExternalCallCount

The LastInvokeExternalCallCount property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Statistics.


LastInvokePerfEval property

Gets last invoke evaluation result

Property type

An EvaluationResult value.

Syntax

object.LastInvokePerfEval

The LastInvokePerfEval property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Statistics.


LastInvokePerfEvalText property

Gets last invoke evaluation result as string

Property type

A String value.

Syntax

object.LastInvokePerfEvalText

The LastInvokePerfEvalText property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Statistics.


LastInvokeRecParseTime property

Gets last invoke record parse time

Property type

A Long value.

Syntax

object.LastInvokeRecParseTime

The LastInvokeRecParseTime property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Statistics.


List method (Statistics)

Gets a reader-friendly representation of this object

Return Type

A String value. A reader-friendly representation of this object

Syntax

object.List

The List method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Statistics.


Show method (Statistics)

Shows a message box with these statistics

Syntax

object.Show

The Show method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Statistics.


EvaluationResult enumeration

Evaluation result returned from server which indicates time spent and number of database calls

Members

Constant | Description
evrExcellent | Excellent
evrOK | OK
evrQuestionable | Questionable
evrVeryBad | Very bad


Trace object

IFSAP.Trace

Used to enable and retrieve server-side trace printouts. Accessible from Server.Trace.


Categories property

Gets or sets categories to trace

Property type

A TraceCategory value.

Syntax

[Set] object.Categories [= TraceCategory]

The Categories property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Trace.
TraceCategory | A TraceCategory value.


Enabled property (Trace)

Gets or sets a value indicating if trace is enabled

Property type

A Boolean value.

Syntax

object.Enabled [= value]

The Enabled property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Trace.
value | A Boolean value.


LastOutput property

Gets last output

Property type

A String value.

Syntax

object.LastOutput

The LastOutput property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type Trace.


TraceCategory enumeration

Trace Category

Members

Constant | Description
tcNone | No server trace
tcCallSequence | Call sequence
tcDbAccess | Database access
tcStubArguments | Stub arguments
tcSkeletonArguments | Skeleton arguments
tcApplicationCode | Application code
tcAll | A combination of all trace types


ButtonCollection collection

IFSAP.ButtonCollection

A collection of buttons in a manual decision


Count property (ButtonCollection)

Gets the number of buttons in this collection

Property type

A Long value.

Syntax

object.Count

The Count property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ButtonCollection.


Item property (ButtonCollection)

Gets a button in this collection

Property type

A Button object.

Syntax

object.Item(vntIndexKey)

The Item property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ButtonCollection.
vntIndexKey | Required. A Variant value. The index in this collection


NewEnum property (ButtonCollection)

Returns an enumerator used in a For Each statement

Property type

An IUnknown object.

Syntax

object.NewEnum

The NewEnum property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ButtonCollection.


Add method (ButtonCollection)

Adds a new button in a manual decision

Return Type

A Button object. The new button

Syntax

object.Add (Caption, Answer)

The Add method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ButtonCollection.
Caption | Required. A String value. Caption of the button
Answer | Required. A ManualDecisionAnswer value, as described in settings. Answer of the button

Settings

The settings for Answer are:

Constant | Description
mdaYes | Yes
mdaNo | No
mdaYesToAll | Yes to all
mdaNoToAll | No to all
mdaContinue | Continue
mdaNoAnswer | No answer
mdaCancel | Cancel
mdaReauthenticate | Reauthenticate answer


Remove method (ButtonCollection)

Removes a button at the specified position in this collection

Syntax

object.Remove vntIndexKey

The Remove method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ButtonCollection.
vntIndexKey | Required. A Variant value. The index in this collection


ContextParameterCollection collection

IFSAP.ContextParameterCollection

A collection of context parameter objects sent in server invokes


Count property (ContextParameterCollection)

Gets the number of parameters in this collection

Property type

A Long value.

Syntax

object.Count

The Count property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ContextParameterCollection.


Item property (ContextParameterCollection)

Gets a parameter in this collection

Property type

A ContextParameter object.

Syntax

object.Item(vntIndexKey)

The Item property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ContextParameterCollection.
vntIndexKey | Required. A Variant value.


NewEnum property (ContextParameterCollection)

Returns an enumerator used in a For Each statement

Property type

An IUnknown object.

Syntax

object.NewEnum

The NewEnum property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ContextParameterCollection.


Add method (ContextParameterCollection)

Adds a new parameter to this collection

Return Type

A ContextParameter object. The new context parameter

Syntax

object.Add (Key, Value)

The Add method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ContextParameterCollection.
Key | Required. A String value. The key of the parameter
Value | Required. A String value. The parameter value


Remove method (ContextParameterCollection)

Removes a parameter from this collection

Syntax

object.Remove vntIndexKey

The Remove method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type ContextParameterCollection.
vntIndexKey | Required. A Variant value.


PlsqlCommandCollection collection

IFSAP.PlsqlCommandCollection

Keeps a list of PlsqlCommand, PlsqlSelectCommand or PlsqlBaseMethodCommand objects and can execute them in one go. The object types can be mixed, but an object must always be type-cast to its real type (not IPlsqlCommand) before accessing it.


Count property (PlsqlCommandCollection)

Returns the number of commands in this collection

Property type

A Long value.

Syntax

object.Count

The Count property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type PlsqlCommandCollection.


Item property (PlsqlCommandCollection)

Used when referencing a command in the collection

Property type

An IPlsqlCommand object.

Syntax

object.Item(vntIndexKey)

The Item property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type PlsqlCommandCollection.
vntIndexKey | Required. A Variant value. Index or key of the item


NewEnum property (PlsqlCommandCollection)

Returns an enumerator used in a For Each statement

Property type

An IUnknown object.

Syntax

object.NewEnum

The NewEnum property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type PlsqlCommandCollection.


Server property (PlsqlCommandCollection)

Gets or sets the server object to use for invocation

Property type

A Server object.

Syntax

[Set] object.Server [= Server]

The Server property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type PlsqlCommandCollection.
Server | A Server object.


Add method (PlsqlCommandCollection)

Adds a command to this collection

Syntax

object.Add oCmd[, sKey]

The Add method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type PlsqlCommandCollection.
oCmd | Required. An IPlsqlCommand object. A PlsqlCommand, PlsqlSelectCommand or PlsqlBaseMethodCommand
sKey | Optional. A String value. An optional key that can be used to access the command in this collection


Execute method (PlsqlCommandCollection)

Executes all commands in this collection in one transaction

Syntax

object.Execute

The Execute method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type PlsqlCommandCollection.


Remove method (PlsqlCommandCollection)

Removing a command in the collection

Syntax

object.Remove vntIndexKey

The Remove method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type PlsqlCommandCollection.
vntIndexKey | Required. A Variant value. Index or key of the item


RecordAttributeCollection collection

IFSAP.RecordAttributeCollection

A collection of RecordAttribute objects


Count property (RecordAttributeCollection)

Returns the number of attributes currently in the collection

Property type

A Long value.

Syntax

object.Count

The Count property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordAttributeCollection.


Item property (RecordAttributeCollection)

Returns a RecordAttribute in the collection by index or key

Property type

A RecordAttribute object.

Syntax

object.Item(vntIndexKey)

The Item property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordAttributeCollection.
vntIndexKey | Required. A Variant value. Index or key for the attribute


NewEnum property (RecordAttributeCollection)

Returns an enumerator used in a For Each statement

Property type

An IUnknown object.

Syntax

object.NewEnum

The NewEnum property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordAttributeCollection.


Add method (RecordAttributeCollection)

Adds a RecordAttribute to the collection

Syntax

object.Add RecordAttribute

The Add method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordAttributeCollection.
RecordAttribute | Required. A RecordAttribute object. The attribute to add


Exist method

A value indicating if a RecordAttribute with the specified name exists in the collection

Return Type

A Boolean value. True if the attribute exists; otherwise False

Syntax

object.Exist (Name)

The Exist method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordAttributeCollection.
Name | Required. A String value. Name of the attribute


Find method

Returns the first RecordAttribute with the specified name if one exists, or Nothing if there is no attribute with that name

Return Type

A Variant value. RecordAttribute

Syntax

object.Find (Name)

The Find method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordAttributeCollection.
Name | Required. A String value. Name of the attribute


FindValue method

Returns the first attribute value with the specified name if one exists

Return Type

A Variant value. Variant

Syntax

object.FindValue (Name, DefaultIfNotExist[, DefaultIfNull])

The FindValue method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordAttributeCollection.
Name | Required. A String value. Name of the attribute
DefaultIfNotExist | Required. A Variant value. Value to return if attribute doesn't exist
DefaultIfNull | Optional. A Variant value. Value to return if value is Null


Remove method (RecordAttributeCollection)

Removes a RecordAttribute from the collection by index or key

Syntax

object.Remove vntIndexKey

The Remove method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordAttributeCollection.
vntIndexKey | Required. A Variant value. Index or key for the attribute


SetValue method

Sets the value of the RecordAttribute with the given name. If such an attribute does not exist in the collection, one is created.

Syntax

object.SetValue Name, Value

The SetValue method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordAttributeCollection.
Name | Required. A String value. Name of the attribute
Value | Required. A Variant value. Value of the attribute


RecordCollection collection

IFSAP.RecordCollection

A collection of Record objects


Count property (RecordCollection)

Returns the number of records currently in the collection

Property type

A Long value.

Syntax

object.Count

The Count property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordCollection.


IsDirty property (RecordCollection)

Returns True if any of the records in the collection are dirty.

Property type

A Boolean value.

Syntax

object.IsDirty

The IsDirty property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordCollection.


Item property (RecordCollection)

Returns a Record from the collection by index or key.

Property type

A Record object.

Syntax

object.Item(vntIndexKey)

The Item property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordCollection.
vntIndexKey | Required. A Variant value. Index or key of the record


List property (RecordCollection)

Returns a reader-friendly string representation of a record collection. Useful for debug prinouts etc.

Property type

A String value.

Syntax

object.List([Padding])

The List property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordCollection.
Padding | Optional. A String value. Padding to use


NewEnum property (RecordCollection)

Returns an enumerator used in a For Each statement

Property type

An IUnknown object.

Syntax

object.NewEnum

The NewEnum property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordCollection.


Tag property (RecordCollection)

Gets or sets the tag. The tag is a general-purpose property availalable for use by applications

Property type

A Variant value.

Syntax

object.Tag [= value]

The Tag property syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordCollection.
value | A Variant value.


AddRecord method

Creates and adds a Record to the collection.

Return Type

A Record object. New record

Syntax

object.AddRecord ([RecordType])

The AddRecord method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordCollection.
RecordType | Optional. A String value. Record type


Clone method (RecordCollection)

Creates and returns a new RecordCollection which is a clone (identical copy) of the RecordCollection cloned

Return Type

A RecordCollection collection. Cloned RecordCollection

Syntax

object.Clone

The Clone method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordCollection.


CopyFrom method (RecordCollection)

Discards all existing records and copies new records from another RecordCollection.

Syntax

object.CopyFrom RecordCollection

The CopyFrom method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordCollection.
RecordCollection | Required. A RecordCollection collection. Source RecordCollection


FindByAttribute method

Returns the first Record in the collection which has an attribute of given name and value. Returns Nothing if no matching record is found

Return Type

A Record object. Matching record if found; otherwise Nothing

Syntax

object.FindByAttribute (Name, Value[, Status])

The FindByAttribute method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordCollection.
Name | Required. A String value. Attribute name
Value | Required. A Variant value. Value to look for
Status | Optional. A RecordStatus value, as described in settings. Status filter

Settings

The settings for Status are:

Constant | Description
srsQueried | Unchanged since queried
srsNew | To be inserted
srsModified | Modified since queried
srsRemoved | Marked for deletion


InsertRecord method

Adds an existing Record to the collection.

Return Type

A String value. The ObjKey of the added record

Syntax

object.InsertRecord (Record)

The InsertRecord method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordCollection.
Record | Required. A Record object. The record to add


Remove method (RecordCollection)

Removes a Record from the collection by index or key

Syntax

object.Remove vntIndexKey

The Remove method syntax has these parts:

Part | Description
object | An expression evaluating to an object of type RecordCollection.
vntIndexKey | Required. A Variant value. Index or key of the record